glibc/crypt

i have installed the gnu crypt library but am still getting

errors when trying to compile with the -lcrypt option.

the library is installed in the /lib directory but it

is not libcrypt.a, it's libcrypt.so.1 or something like that.

is this why compiling fails? maybe the linker is looking for the

static version of the lib not the shared version? how

can i get around this?


thanks,

peter


Comments

  • : i have installed the gnu crypt library but am still getting

    : errors when trying to compile with the -lcrypt option.

    : the library is installed in the /lib directory but it

    : is not libcrypt.a, it's libcrypt.so.1 or something like that.

    : is this why compiling fails? maybe the linker is looking for the

    : static version of the lib not the shared version? how

    : can i get around this?


    : thanks,

    : peter




    ld.so.conf keeps all directories.

    Use ldconfig to update if you add a new.


    The lame way (my way) is to just do a softlink.

    ln -s libcrypt.so.1 libcrypt.so


    I rarely get this problem, so I do it that way. ;->


    /David


Sign In or Register to comment.

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Categories